Draft Réseau polaire

From FreeCAD Documentation
Revision as of 19:14, 9 December 2021 by David69 (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Page précédente : Draft OrthoArray.svg Réseau orthogonal
Page suivante : Réseau circulaire Draft CircularArray.svg Arrow-right.svg

Draft PolarArray.svg Draft Réseau polaire

Emplacement du menu
Modification → Array tools → Polar array
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Réseau orthogonal, Draft Réseau circulaire, Draft Réseau selon une courbe, Draft Réseau lié selon une courbe, Draft Réseau de points, Draft Réseau lié selon des points

Description

La commande Draft PolarArray.svg Draft Réseau polaire crée un réseau à partir d'un objet sélectionné en plaçant des copies le long d'une circonférence. La commande peut éventuellement créer un réseau lié Link, qui est plus efficace qu'un réseau régulier.

Cette commande peut être utilisée sur des objets 2D créés avec l'atelier Draft ou l'atelier Sketcher, mais aussi sur de nombreux objets 3D tels que ceux créés avec l'atelier Part, l'atelier PartDesign ou l'atelier Arch.

Draft PolarArray example.png

Un réseau Draft polaire.

Utilisation

Voir aussi : Draft Aimantation.

  1. Sélectionnez un objet au choix.
  2. Il existe plusieurs façons d'invoquer la commande :
    • Appuyez sur le bouton Draft PolarArray.svg Réseau polaire.
    • Sélectionnez l'option Modification → Array tools → Draft PolarArray.svg Réseau polaire dans le menu.
  3. Le panneau de tâches Réseau polaire s'ouvre. Voir Options pour plus d'informations.
  4. Si vous n'avez pas encore sélectionné d'objet : sélectionnez un objet.
  5. Saisissez les paramètres requis dans le panneau des tâches.
  6. Pour terminer la commande, effectuez l'une des opérations suivantes :
    • Choisissez un point dans la Vue 3D pour le Centre de rotation.
    • Appuyez sur Entrée.
    • Appuyez sur le bouton OK.

Options

  • Entrez l'Angle polaire pour spécifier l'angle total du réseau. L'angle est positif dans le sens inverse des aiguilles d'une montre.
  • Entrez le Nombre d'éléments. Doit être au moins 2. Le maximum qui peut être saisi dans le panneau de tâches est 99, mais des valeurs plus élevées sont possibles en modifiant la propriété DonnéesNumber Polar du réseau.
  • Choisissez un point dans la Vue 3D, notez que cela terminera également la commande ou rentrez des coordonnées pour le Centre de rotation. L'axe de rotation du réseau passera par ce point. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur le bouton Réinitialiser le point pour réinitialiser le Centre de rotation à l'origine.
  • Si la case Union est cochée, les éléments qui se chevauchent dans le réseau sont fusionnés. Cela ne fonctionne pas pour les réseaux de liens.
  • Si la case Réseau de liens est cochée, un réseau de liens est créé au lieu d'un réseau régulier. Un réseau de liens est plus efficace car ses éléments sont des objets App Link.
  • Appuyez sur Échap ou sur le bouton Annuler pour annuler la commande en cours.

Remarques

  • L'axe de rotation par défaut du réseau est l'axe Z positif. Il peut être modifié en éditant sa propriété DonnéesAxis.
  • Un Draft Réseau polaire peut être transformé en un Draft Réseau orthogonal ou un Draft Réseau circulaire en modifiant sa propriété DonnéesArray Type.
  • Un réseau de liens ne peut pas être transformé en un réseau régulier ou vice versa. Le type de réseau doit être décidé au moment de la création.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées et des angles : Edition → Préférences... → Général → Unités → Systèmes d'unités → Nombre de décimales.

Propriétés

Voir Draft Réseau orthogonal.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Réseau paramétrique

Pour créer un réseau orthogonal paramétrique, utilisez la méthode make_array (Introduit dans la version 0.19) de l'atelier Draft. Cette méthode remplace la méthode dépréciée makeArray. La méthode make_array peut créer des Draft Réseaux orthogonaux, Draft Réseaux polaires et Draft Réseaux circulaires. Pour chaque type de réseau, un ou plusieurs wrappers sont disponibles.

La méthode principale :

array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)

L'enveloppe pour les réseaux polaires est :

array = make_polar_array(base_object,
                         number=5, angle=360, center=App.Vector(0, 0, 0),
                         use_link=True)
  • base_object est l'objet à mettre en réseau. Il peut également s'agir du Label (chaîne de caractères) d'un objet du document courant.
  • number est le nombre d'éléments dans le motif, y compris l'objet original.
  • angle est l'angle de l'arc polaire en degrés.
  • center est le vecteur qui définit le centre du motif.
  • Si use_link est True, les éléments créés sont des App Links au lieu de copies ordinaires.
  • array est restitué avec l'objet réseau créé.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

array = Draft.make_polar_array(tri, 8, 270, center)
doc.recompute()

Réseau non paramétrique

Pour créer un réseau polaire non-paramétrique, utilisez la méthode array de l'atelier Draft. Cette méthode renvoie None.

array(objectslist, center, angle, number)

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

Draft.array(tri, center, 270, 8)
doc.recompute()


Arrow-left.svg Page précédente : Draft OrthoArray.svg Réseau orthogonal
Page suivante : Réseau circulaire Draft CircularArray.svg Arrow-right.svg